﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Imaging;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace Post7917
{
    public partial class MarkerSample : Window
    {
        public MarkerSample()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            WorldMapKitWmsWpfOverlay wmk = new WorldMapKitWmsWpfOverlay();
            map.Overlays.Add(wmk);

            SimpleMarkerOverlay markerOverlay = new SimpleMarkerOverlay { DragMode = DragMode.Drag };
            map.Overlays.Add("markerOverlay", markerOverlay);

            map.CurrentExtent = wmk.GetBoundingBox();
            map.Refresh();
        }

        private void map_MapClick(object sender, MapClickWpfMapEventArgs e)
        {
            SimpleMarkerOverlay markerOverlay = (SimpleMarkerOverlay)map.Overlays["markerOverlay"];
            Marker marker = new Marker(e.WorldLocation)
            {
                YScreenOffset = -15,
                ImageSource = new BitmapImage(new Uri("/marker.png", UriKind.RelativeOrAbsolute)),
                Content = new TextBox()
                {
                    Text = "hello",
                    VerticalAlignment = VerticalAlignment.Top,
                    Margin = new Thickness(0, -10, 0, 0)
                },
            };
            markerOverlay.Markers.Add(marker);

            markerOverlay.Refresh();
        }
    }
}
